# Interface IteratorObject<T, TReturn, TNext>

Describes an Iterator produced by the runtime that inherits from the intrinsic `Iterator.prototype`.

#### Type Parameters

- #### T

- #### TReturn = unknown

- #### TNext = unknown

#### Hierarchy

- Iterator<T, TReturn, TNext>
  - IteratorObject
    - ArrayIterator

#####
Index

### Methods

[iterator]
next
return?
throw?

## Methods

### [iterator]

- [iterator](): IteratorObject<T, TReturn, TNext>

- #### Returns IteratorObject<T, TReturn, TNext>

### next

- next(...__namedParameters): IteratorResult<T, TReturn>

- #### Parameters

  - ##### `Rest` ...__namedParameters: [] | [TNext]

  #### Returns IteratorResult<T, TReturn>

  Inherited from Iterator.next

### `Optional` return

- return(value?): IteratorResult<T, TReturn>

- #### Parameters

  - ##### `Optional` value: TReturn

  #### Returns IteratorResult<T, TReturn>

  Inherited from Iterator.return

### `Optional` throw

- throw(e?): IteratorResult<T, TReturn>

- #### Parameters

  - ##### `Optional` e: any

  #### Returns IteratorResult<T, TReturn>

  Inherited from Iterator.throw

Generated using TypeDoc